diff --git a/src/aix_ssha_fmt_plug.c b/src/aix_ssha_fmt_plug.c
index c4ee9410d1..dd4cac2a66 100644
--- a/src/aix_ssha_fmt_plug.c
+++ b/src/aix_ssha_fmt_plug.c
@@ -72,7 +72,7 @@ john_register_one(&fmt_aixssha512);
 #define ALGORITHM_NAME_SHA512   "PBKDF2-SHA512 32/" ARCH_BITS_STR
 #endif
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x107
+#define BENCHMARK_LENGTH        7
 #define PLAINTEXT_LENGTH        125 /* actual max in AIX is 255 */
 #define BINARY_SIZE             20
 #define BINARY_ALIGN            4
diff --git a/src/andotp_fmt_plug.c b/src/andotp_fmt_plug.c
index 41697f4633..8d57f88a04 100644
--- a/src/andotp_fmt_plug.c
+++ b/src/andotp_fmt_plug.c
@@ -36,7 +36,7 @@ john_register_one(&fmt_andotp);
 #define TAG_LENGTH              (sizeof(FORMAT_TAG) - 1)
 #define ALGORITHM_NAME          "SHA256 32/" ARCH_BITS_STR
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x507
+#define BENCHMARK_LENGTH        0x507 // ciphertext length is a "cost"
 #define PLAINTEXT_LENGTH        125
 #define BINARY_SIZE             0
 #define BINARY_ALIGN            1
diff --git a/src/bestcrypt_fmt_plug.c b/src/bestcrypt_fmt_plug.c
index c1dbe8e1cf..0629e9261d 100644
--- a/src/bestcrypt_fmt_plug.c
+++ b/src/bestcrypt_fmt_plug.c
@@ -46,7 +46,7 @@ john_register_one(&fmt_bestcrypt);
 #define BINARY_SIZE             0
 #define BINARY_ALIGN            1
 #define BENCHMARK_COMMENT       " (SHA-256 + AES XTS mode)"
-#define BENCHMARK_LENGTH        0x507
+#define BENCHMARK_LENGTH        0x507 // FIXME: format lacks cost
 #define MIN_KEYS_PER_CRYPT      1
 #define MAX_KEYS_PER_CRYPT      1
 #define FORMAT_TAG              "$BestCrypt$"
diff --git a/src/bks_fmt_plug.c b/src/bks_fmt_plug.c
index 09ec291464..d14ad84b0f 100644
--- a/src/bks_fmt_plug.c
+++ b/src/bks_fmt_plug.c
@@ -39,7 +39,7 @@ john_register_one(&fmt_bks);
 #define BINARY_SIZE		0
 #define BINARY_ALIGN		1
 #define BENCHMARK_COMMENT	""
-#define BENCHMARK_LENGTH	0x507
+#define BENCHMARK_LENGTH	0x507 // FIXME: format lacks cost
 #if !defined(SIMD_COEF_32)
 #define MIN_KEYS_PER_CRYPT	1
 #define MAX_KEYS_PER_CRYPT	4
diff --git a/src/blockchain_fmt_plug.c b/src/blockchain_fmt_plug.c
index e6aae61ba5..5acb47469f 100644
--- a/src/blockchain_fmt_plug.c
+++ b/src/blockchain_fmt_plug.c
@@ -46,7 +46,7 @@ john_register_one(&fmt_blockchain);
 #define ALGORITHM_NAME          "PBKDF2-SHA1 AES 32/" ARCH_BITS_STR
 #endif
 #define BENCHMARK_COMMENT       " (v2 x5000)"
-#define BENCHMARK_LENGTH        0x507
+#define BENCHMARK_LENGTH        0x507 // Iteration count differs
 #define BINARY_SIZE             0
 #define BINARY_ALIGN            1
 #define PLAINTEXT_LENGTH        125
diff --git a/src/ecryptfs_fmt_plug.c b/src/ecryptfs_fmt_plug.c
index fb75e7fa79..77d3d82b24 100644
--- a/src/ecryptfs_fmt_plug.c
+++ b/src/ecryptfs_fmt_plug.c
@@ -45,8 +45,8 @@ john_register_one(&fmt_ecryptfs1);
 #define FORMAT_LABEL            "eCryptfs"
 #define FORMAT_NAME             ""
 #define ALGORITHM_NAME          "SHA512 " SHA512_ALGORITHM_NAME
-#define BENCHMARK_COMMENT       " (65536x)"  // good luck with that!
-#define BENCHMARK_LENGTH        7
+#define BENCHMARK_COMMENT       " (65536 iterations)"  // good luck with that!
+#define BENCHMARK_LENGTH        0x107
 #define PLAINTEXT_LENGTH        125
 #define REAL_BINARY_SIZE        8
 #define HEX_BINARY_SIZE         (REAL_BINARY_SIZE*2)
diff --git a/src/gost_fmt_plug.c b/src/gost_fmt_plug.c
index ce93bf3750..ade5a8bbc2 100644
--- a/src/gost_fmt_plug.c
+++ b/src/gost_fmt_plug.c
@@ -47,7 +47,7 @@ john_register_one(&fmt_gost);
 #define ALGORITHM_NAME          "32/" ARCH_BITS_STR
 #endif
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x507
+#define BENCHMARK_LENGTH        0x507 // Actually unsalted but two variants
 #define PLAINTEXT_LENGTH        125
 #define CIPHERTEXT_LENGTH       64
 #define BINARY_SIZE             32
diff --git a/src/lastpass_cli_fmt_plug.c b/src/lastpass_cli_fmt_plug.c
index 4665bba31c..a026175177 100644
--- a/src/lastpass_cli_fmt_plug.c
+++ b/src/lastpass_cli_fmt_plug.c
@@ -41,7 +41,7 @@ john_register_one(&fmt_lastpass_cli);
 #define ALGORITHM_NAME          "PBKDF2-SHA256 32/" ARCH_BITS_STR
 #endif
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x107
+#define BENCHMARK_LENGTH        7 // FIXME: add costs (but this is OK)
 #define PLAINTEXT_LENGTH        125
 #define BINARY_SIZE             16
 #define SALT_SIZE               sizeof(struct custom_salt)
diff --git a/src/lastpass_fmt_plug.c b/src/lastpass_fmt_plug.c
index d01ca2a556..6c3465163c 100644
--- a/src/lastpass_fmt_plug.c
+++ b/src/lastpass_fmt_plug.c
@@ -42,7 +42,7 @@ john_register_one(&fmt_lastpass);
 #define ALGORITHM_NAME          "PBKDF2-SHA256 32/" ARCH_BITS_STR
 #endif
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x507
+#define BENCHMARK_LENGTH        7
 #define PLAINTEXT_LENGTH        125
 #define SALT_SIZE               sizeof(struct custom_salt)
 #define BINARY_ALIGN            sizeof(uint32_t)
diff --git a/src/lotus85_fmt_plug.c b/src/lotus85_fmt_plug.c
index 11bf483154..23651795db 100644
--- a/src/lotus85_fmt_plug.c
+++ b/src/lotus85_fmt_plug.c
@@ -33,7 +33,7 @@ john_register_one(&fmt_lotus_85);
 #define FORMAT_NAME           "Lotus Notes/Domino 8.5"
 #define ALGORITHM_NAME        "8/" ARCH_BITS_STR
 #define BENCHMARK_COMMENT     ""
-#define BENCHMARK_LENGTH      0x107
+#define BENCHMARK_LENGTH      7
 #define PLAINTEXT_LENGTH      32
 #define CIPHERTEXT_LENGTH     (LOTUS85_MAX_BLOB_SIZE * 2)
 #define BINARY_SIZE           0
diff --git a/src/o10glogon_fmt_plug.c b/src/o10glogon_fmt_plug.c
index 23aea614f8..123a47c7b7 100644
--- a/src/o10glogon_fmt_plug.c
+++ b/src/o10glogon_fmt_plug.c
@@ -45,7 +45,7 @@ john_register_one(&fmt_o10glogon);
 #define ALGORITHM_NAME                  "DES-AES128-MD5 32/" ARCH_BITS_STR
 
 #define BENCHMARK_COMMENT               ""
-#define BENCHMARK_LENGTH                0x107
+#define BENCHMARK_LENGTH                7
 
 #define PLAINTEXT_LENGTH                32
 
diff --git a/src/o3logon_fmt_plug.c b/src/o3logon_fmt_plug.c
index 677bfc6b9b..a691b050eb 100644
--- a/src/o3logon_fmt_plug.c
+++ b/src/o3logon_fmt_plug.c
@@ -41,7 +41,7 @@ john_register_one(&fmt_o3logon);
 #define ALGORITHM_NAME                  "SHA1 DES 32/" ARCH_BITS_STR
 
 #define BENCHMARK_COMMENT               ""
-#define BENCHMARK_LENGTH                0x107
+#define BENCHMARK_LENGTH                7
 
 #define PLAINTEXT_LENGTH                32
 
diff --git a/src/ospf_fmt_plug.c b/src/ospf_fmt_plug.c
index 875e78c05d..edc2eea89b 100644
--- a/src/ospf_fmt_plug.c
+++ b/src/ospf_fmt_plug.c
@@ -39,7 +39,7 @@ john_register_one(&fmt_ospf);
 #define TAG_LENGTH              (sizeof(FORMAT_TAG) - 1)
 #define ALGORITHM_NAME          "HMAC-SHA-X 32/" ARCH_BITS_STR
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x107
+#define BENCHMARK_LENGTH        0x507 // FIXME: Add cost reporting
 #define PLAINTEXT_LENGTH        125
 #define BINARY_SIZE             16
 #define BINARY_ALIGN            sizeof(uint32_t)
diff --git a/src/pbkdf2_hmac_sha256_fmt_plug.c b/src/pbkdf2_hmac_sha256_fmt_plug.c
index 1440cf5849..d1553b1027 100644
--- a/src/pbkdf2_hmac_sha256_fmt_plug.c
+++ b/src/pbkdf2_hmac_sha256_fmt_plug.c
@@ -43,7 +43,6 @@ john_register_one(&fmt_pbkdf2_hmac_sha256);
 
 #define FORMAT_LABEL            "PBKDF2-HMAC-SHA256"
 #define FORMAT_NAME		""
-#define BENCHMARK_LENGTH        0x107
 
 #ifdef SIMD_COEF_32
 #define ALGORITHM_NAME		"PBKDF2-SHA256 " SHA256_ALGORITHM_NAME
diff --git a/src/pdf_fmt_plug.c b/src/pdf_fmt_plug.c
index 1bc8b07a3c..27dbb0f8bf 100644
--- a/src/pdf_fmt_plug.c
+++ b/src/pdf_fmt_plug.c
@@ -40,7 +40,7 @@ john_register_one(&fmt_pdf);
 #define FORMAT_TAG_OLD_LEN  (sizeof(FORMAT_TAG_OLD)-1)
 #define ALGORITHM_NAME      "MD5 SHA2 RC4/AES 32/" ARCH_BITS_STR
 #define BENCHMARK_COMMENT   ""
-#define BENCHMARK_LENGTH    7
+#define BENCHMARK_LENGTH    0x507
 #define PLAINTEXT_LENGTH    32
 #define BINARY_SIZE         0
 #define SALT_SIZE           sizeof(struct custom_salt)
diff --git a/src/postgres_fmt_plug.c b/src/postgres_fmt_plug.c
index e58e722ec5..71a503cec5 100644
--- a/src/postgres_fmt_plug.c
+++ b/src/postgres_fmt_plug.c
@@ -44,7 +44,7 @@ john_register_one(&fmt_postgres);
 #define FORMAT_TAG2_LEN         (sizeof(FORMAT_TAG2)-1)
 #define ALGORITHM_NAME          "MD5 32/" ARCH_BITS_STR
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x107
+#define BENCHMARK_LENGTH        7
 #define PLAINTEXT_LENGTH        32
 #define BINARY_SIZE             16
 #define BINARY_ALIGN            MEM_ALIGN_WORD
diff --git a/src/sapH_fmt_plug.c b/src/sapH_fmt_plug.c
index 4750aa0bc9..1f9d1f5c4a 100644
--- a/src/sapH_fmt_plug.c
+++ b/src/sapH_fmt_plug.c
@@ -84,7 +84,7 @@ john_register_one(&fmt_sapH);
 
 
 #define BENCHMARK_COMMENT		" (SHA1x1024)"
-#define BENCHMARK_LENGTH		0x507
+#define BENCHMARK_LENGTH		7
 
 #define SALT_LENGTH             16  /* the max used sized salt */
 #define CIPHERTEXT_LENGTH       132 /* max salt+sha512 + 2^32 iterations */
diff --git a/src/sspr_fmt_plug.c b/src/sspr_fmt_plug.c
index a74083c8ef..c0c092cee9 100644
--- a/src/sspr_fmt_plug.c
+++ b/src/sspr_fmt_plug.c
@@ -38,7 +38,7 @@ john_register_one(&fmt_sspr);
 #define FORMAT_LABEL            "sspr"
 #define ALGORITHM_NAME          "MD5/SHA1/SHA256/SHA512 32/" ARCH_BITS_STR
 #define BENCHMARK_COMMENT       ""
-#define BENCHMARK_LENGTH        0x507
+#define BENCHMARK_LENGTH        0x107
 #define PLAINTEXT_LENGTH        125
 #define BINARY_ALIGN            sizeof(uint32_t)
 #define SALT_SIZE               sizeof(struct custom_salt)
diff --git a/src/wpapsk_fmt_plug.c b/src/wpapsk_fmt_plug.c
index 81e25fd190..d57ccbf354 100644
--- a/src/wpapsk_fmt_plug.c
+++ b/src/wpapsk_fmt_plug.c
@@ -180,7 +180,7 @@ struct fmt_main fmt_wpapsk = {
 		FORMAT_NAME,
 		ALGORITHM_NAME,
 		BENCHMARK_COMMENT,
-		BENCHMARK_LENGTH | 0x100,
+		BENCHMARK_LENGTH,
 		PLAINTEXT_MIN_LEN,
 		PLAINTEXT_LENGTH,
 		BINARY_SIZE,
